Matrix is a communications network.
It has a client-server, server-server decentralized architecture.
Rooms are synced (eventually consistent) among all servers with clients participating in the room.

Matrix supports "Application Services", which are limited to funcion in a passive mode, meaning they only piggyback on top of the existing protocols.

Synapse, a Matrix server implementation, supports "Modules"

The Matrix devs recognize the need for a robust reputation system and are in pursuit of funding and development for that purpose.

```mermaid
graph LR

subgraph Matrix
homeserver[Homeserver]
chainClient[Blockchain<br/>connected<br/>client]
publicClient[Public<br/>Matrix-only<br/>client]
end

blockchain[Blockchain]
%% subgraph Blockchain
%%   forum[Forum]
%%   post[Post]
%%   availability[Availability]
%%   wsc[WSC]
%%   pool[Validation<br/>Pool]
%% end

publicClient --> homeserver
chainClient --> homeserver
chainClient --> blockchain
homeserver --> blockchain

```
